version: "3.7"
services:
  
  grafana:
    image: grafana/grafana:8.2.5
    container_name: grafana
    restart: unless-stopped
{% if exposed_ports %}
    ports:
      - 3000:3000
{% endif %}
    volumes:
      - ./data/grafana:/var/lib/grafana
      - ./data/grafana/provisioning/dashboards:/etc/grafana/provisioning/dashboards
      - ./data/grafana/provisioning/datasources:/etc/grafana/provisioning/datasources
    environment:
      - GF_SECURITY_ADMIN_PASSWORD={{grafana_pw}}
      - GF_USERS_ALLOW_SIGN_UP=false
      - GF_SERVER_DOMAIN=grafana.{{domain}}
{% if traefik %}
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.grafana.rule=Host(`grafana.{{domain}}`)"
      - "traefik.http.routers.grafana.tls=true"
      - "traefik.http.routers.grafana.tls.certresolver={{traefik_resolver}}"
      - "traefik.http.routers.grafana.entrypoints=websecure"
      - "traefik.http.routers.grafana.tls.options=default"
      - "traefik.http.routers.grafana.middlewares=https-redirect@file,security-headers@file"
      - "traefik.http.routers.grafana-insecure.rule=Host(`grafana.{{domain}}`)"
      - "traefik.http.routers.grafana-insecure.middlewares=https-redirect@file,security-headers@file"
      - "traefik.http.routers.grafana-insecure.entrypoints=web"
      - "traefik.http.services.grafana.loadbalancer.server.port=3000"
      - "traefik.http.routers.grafana.service=grafana"
      - "traefik.http.routers.grafana-insecure.service=grafana"
      - "traefik.docker.network=traefiknet"
{% endif %}
    networks:
      - monitoringnet
{% if traefik %}
      - traefiknet
{% endif %}

  victoriametrics:
    container_name: victoriametrics
    image: victoriametrics/victoria-metrics
    ports:
      - 8428:8428
     # - 8089:8089
     # - 8089:8089/udp
      - 2003:2003
     # - 2003:2003/udp
      - 4242:4242
    volumes:
      - ./data/vmdata:/storage
    command:
      - '--storageDataPath=/storage'
      - '--graphiteListenAddr=:2003'
      - '--opentsdbListenAddr=:4242'
      - '--httpListenAddr=:8428'
     # - '--influxListenAddr=:8089'
      - '-retentionPeriod=1'
    networks:
      - monitoringnet
    restart: always


networks:
{% if traefik %}
  traefiknet:
    external:
      name: traefiknet
{% endif %}
  monitoringnet:
    name: monitoring_network
